
Robotics Systems Types - Tasks #1154
Make multiple versions of rst-proto installable in parallel
08/29/2012 05:02 PM - J. Wienke

Status: Resolved Start date: 08/29/2012
Priority: Normal Due date:
Assignee: % Done: 100%
Category: Build System Estimated time: 0.00 hour
Target version: rsb-0.9
Description

Associated revisions
Revision b063296e - 01/08/2013 01:44 PM - Arne Nordmann 

refs #1154 - 0.8 package also conflicting with 0.7 until installable in parallel

Revision 5d69e3d7 - 01/08/2013 01:49 PM - Arne Nordmann 

refs #1154 - 0.8 package also conflicting with 0.7 until installable in parallel

Revision 586e1c12 - 01/08/2013 03:03 PM - Arne Nordmann 
Introduced version-specific install pathes for parallel installations
refs #1154
    -  All installation pathes now prefixed with rst major+minor version
    -  Configuration files (cmake, pkgconfig) adapted accordingly

Revision 651dc96b - 01/21/2013 08:21 PM - Arne Nordmann 

Updated debian package control to no longer conflict with rst0.7

Removed debian conflict to rst0.7 in the cpack config file, since
issue #1154 is fixed.

refs #1154

History
#1 - 01/08/2013 03:06 PM - Anonymous
- Status changed from New to In Progress
- Assignee set to Anonymous

#2 - 01/08/2013 03:12 PM - Anonymous
- Status changed from In Progress to Feedback
- % Done changed from 0 to 80

Fixed by adapting the installation pathes and configuration files. Waiting for feedback from CI server.
#3 - 01/09/2013 06:48 PM - Anonymous
- Status changed from Feedback to Resolved
- % Done changed from 80 to 100

Successfully build on our CI linux distributions, macos and windows. Didn't break downstream projects.
